<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDecompressDelegate Delegate
See Also

A function to decompress a key/data pair from a supplied buffer.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public delegate KeyValuePair<DatabaseEntry, DatabaseEntry> BTreeDecompressDelegate(
    	DatabaseEntry prevKey,
    	DatabaseEntry prevData,
    	byte[] compressed,
    	out uint bytesRead
    )

Visual Basic (Declaration)

    Public Delegate Function BTreeDecompressDelegate ( _
    	prevKey As DatabaseEntry, _
    	prevData As DatabaseEntry, _
    	compressed As Byte(), _
    	<OutAttribute> ByRef bytesRead As UInteger _
    ) As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++

    public delegate KeyValuePair<DatabaseEntry^, DatabaseEntry^> BTreeDecompressDelegate(
    	DatabaseEntry^ prevKey,
    	DatabaseEntry^ prevData,
    	array<unsigned char>^ compressed,
    	[OutAttribute] unsigned int% bytesRead
    )

#### Parameters

prevKey
  Type: BerkeleyDB..::.DatabaseEntry
  The key immediately preceding the key being decompressed.

prevData
  Type: BerkeleyDB..::.DatabaseEntry
  The data associated with prevKey.

compressed
  Type: array< System..::.Byte >[]()[]
  The data stored in the tree, that is, the compressed data.

bytesRead
  Type: System..::.UInt32 %
  The number of bytes read from compressed.

#### Return Value

Two new DatabaseEntry objects representing the decompressed key/data pair.

# See Also

BerkeleyDB Namespace